Draft Facebinder/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav |Formes à partir texte Draft |Courbe de Bézier Draft |Atelier Draft |IconL=Draft_ShapeString.svg |IconC=Wo...")
No edit summary
Line 9: Line 9:
}}
}}


{{GuiCommand/fr
<div class="mw-translate-fuzzy">
|Name=Draft Facebinder
{{GuiCommand/fr|Name=Draft Facebinder|Name/fr=Draft Facebinder|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}
|Name/fr=Faces liées Draft
</div>
|MenuLocation=Draft → Faces liées
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
|Shortcut=F F
|SeeAlso=[[Part Box/fr|Part Box/fr]], [[Arch Wall/fr|Arch Wall/fr]]
|Version=0.14
}}


==Description==
==Description==

Revision as of 10:00, 14 September 2019

Faces liées Draft

Emplacement du menu
Draft → Faces liées
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
F F
Introduit dans la version
0.14
Voir aussi
Part Box/fr, Arch Wall/fr

Description

L'outil Facebinder est un objet très simple construit à partir de la face d'un objet sélectionné. C'est un outil paramétrique, vous pouvez modifier l'objet d'origine et l'objet de Facebinder ajourne en conséquence. Il peut être ensuite utilisé par exemple pour faire une extrusion dans une série de faces d'autres objets. Une utilisation typique se situe dans la conception architecturale, construire un objet qui couvre plusieurs murs. Vous pouvez déplacer et faire pivoter le Facebinder entier après sa création, il restera lié aux faces originales.

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Facebinder created from the faces of solid walls

Utilisation

  1. Sélectionnez les faces des objets (utiliser CTRL pour sélectionner plusieurs faces)
  2. Pressez la touche Facebinder, ou pressez les touches F, F

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.

  • To add a face, click on a face of a solid object in the 3D view, and then click on the Add button.
  • To remove a face, select one of the sub-elements in the list, and then click on the Remove button.
  • Press Esc or the OK button to complete the edition.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • DonnéesExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • DonnéesRemove Splitter: if it is true it tries to fuse the internal intersections of the Facebinder when it extruded.
  • DonnéesSew: if it is true it tries to perform a topological sewing operation on the Facebinder when it extruded.

View

  • VuePattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if VueDisplay Mode is "Flat Lines".
  • VuePattern Size: specifies the size of the Draft Pattern.

Script

L'outil Facebinder peut être utilisé dans une macros en utilisant la fonction suivante :

Facebinder = makeFacebinder(selectionset, name="Facebinder")
  • Crée un objet Facebinder de l'ensemble de la sélection donnée, c'est une liste de sélection d'objets tel que retourné par la méthode FreeCADGui.Selection.getSelectionEx().
  • Seules les faces sélectionnées sont prises en charge
  • Retourne l'objet nouvellement créé

The thickness of the ShapeString can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Exemple:

import FreeCAD, FreeCADGui, Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# Pick any two side faces, and then
selection = FreeCADGui.Selection.getSelectionEx()
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)